#
# spec file for package python3-idna
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-idna
Version:        2.1
Release:        2.2
Summary:        Internationalized Domain Names in Applications (IDNA)
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/kjd/idna
Source:         https://files.pythonhosted.org/packages/source/i/idna/idna-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A library to support the Internationalised Domain Names in
Applications (IDNA) protocol as specified in RFC 5891. This version of
the protocol is often referred to as “IDNA2008” and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement
for the “encodings.idna” module that comes with the Python standard
library but currently only supports the older 2003 specification.

%prep
%setup -q -n idna-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE.rst HISTORY.rst

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Mar 26 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.1:
  * Memory consumption optimizations. The library should consume
    significantly less memory through smarter data structures being
    used to represent relevant Unicode properties. Many thanks to
    Shivaram Lingamneni for this patch.
  * Patches to make library work better with Python 2.6. The core
    library currently works however the unit testing does
    not. (Thanks, Robert Buchholz)
  * Better affix all Unicode codepoint properties to a specific
    version.
* Mon May 25 2015 arun@gmx.de
- initial version
